PETSc version 3.15.5
Fix/Edit manual page

# TaoADMMSetMisfitHessianRoutine

Sets the user-defined misfit Hessian call-back function into the algorithm, to be used for subsolverX.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetMisfitHessianRoutine(Tao tao, Mat H, Mat Hpre, PetscErrorCode (*func)(Tao, Vec, Mat, Mat, void*), void *ctx)

Collective on tao

### Input Parameters

+ tao - the Tao context . H - user-created matrix for the Hessian of the misfit term . Hpre - user-created matrix for the preconditioner of Hessian of the misfit term . func - function pointer for the misfit Hessian evaluation - ctx - user context for the misfit Hessian

### See Also

TAOADMM

### Level

advanced

### Location

src/tao/constrained/impls/admm/admm.c

### Examples

src/tao/constrained/tutorials/tomographyADMM.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages